/**********************************************************/
/*******    Formato para todos los tipos de menu  *********/
/**********************************************************/

/* Fuente de letra para el menu */

@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;500;600;700&family=Roboto:wght@400;500;600&display=swap");

#menu-container,
#menu-reportes *,
#menu-container * {
    font-family: Roboto, sans-serif;
    color: white;
    background-color: black;
}
 
 /* imagen de flecha para elementos principales del menu */

 .nav-item-icon > a > div {
    position: relative;
    display: inline-block;
    width: 10px;
    height: 10px;
    padding: 0px;
    margin-left: 4px;
    background-image: url("/pautas6/app/javax.faces.resource/flecha_arriba_abajo.png?ln=img");
    background-repeat: no-repeat;
    background-position: 0px 0px;
    background-size: 10px;
    transition: all 0.3s ease;
}

/* Color de fondo para elemento seleccionado */

#menu .dropdown-menu .dropdown-item:hover,
#menu-reportes .dropdown-bg-pink .dropdown-item:hover {
    background-color:  #ED92C8; 
}

/* Eliminaci�n de la flecha arriba de los contenedores de menu */

 .dropdown > .dropdown-menu:after, 
 .dropdown > .dropdown-menu:before {
	content: none;
}

/* Eliminaci�n de la marco y borde de los contenedores de menu */

#menu .dropdown-menu {
	box-shadow: none;
	border: none;
}

/* Eliminaci�n de los m�rgenes en el contenedor (fluid) del men� */

.navbar-fluid,
.container-fluid {
	padding-right: 0px; 
    padding-left:  0px;
}

/* Ajuste de los m�rgenes en los contenedores del men� */

#menu .dropdown-menu {
	padding: 0.5rem 0;
}

/* Fuente para menu principal */

#menu .nav-item .nav-link, .btn-simple {
	font-size: 16px;
}

/* Fuente para subencabezados y ajuste de padding */

#menu .dropdown-header {
	font-family: "Open Sans", sans-serif;
    font-size:   15px;
    font-weight: 500;
	padding-right: 16px; 
}

/* Fuente para modulos del menu */

#menu .dropdown-menu .dropdown-item {
   	font-family: "Open Sans", sans-serif;
   	font-size: 14px;	
}

.btn-simple,
.btn-simple:focus {
    outline: none;
    border-color: black;
}

#menu-reportes-button {
	color: white!important;
    border: 1px;
    border-radius: 15px !important;
    background-color: #b6007e;
    padding-bottom: 6px;
    margin: 2px 0px 0px 0px;
}

#menu-reportes-button:hover {
	background-color: #d5007f;
}


/**********************************************************/
/*********    Formato para menu de reportes    ************/
/**********************************************************/

/* Color de fuente para items de menu-reportes */

#menu-reportes .dropdown-bg-pink .dropdown-item {
    color: white;
    margin-bottom: 0.5rem;
    border-bottom: 1px solid rgba(204, 204, 204, 0.3); 
}

/* Eliminaci�n del borde del submen� para menu-reportes */

#menu-reportes .nav-item-icon .dropdown-menu {
    border: none;
    visibility: hidden;
    height: 0px;
    transform: scale(0, 0);
    transition: all 3.5s ease;
}

/* Linea inferior para indicar el submen� a seleccionar */

#menu-reportes .nav-item-icon:hover > a {
    border-bottom: 1px solid rgba(254, 141, 196, 0.5);
}

/* transici�n manual de la imagen de flecha para elementos principales del menu-reportes */

#menu-reportes .nav-item-icon.show > a > div {
    background-position: 0px -10px;
}

#menu-reportes .nav-item-icon.show .dropdown-menu {
    visibility: visible;
    transform: scale(1, 1);
    height: auto;
}

/**********************************************************/
/*********    Formatos para menu lateral       ************/
/**********************************************************/

#menu-reportes * {
	font-size: 16px;
}

#menu-reportes .dropdown-item {
	font-weight: 300;
	padding-left: 24px;
}

#menu-reportes .nav-item:first-child {
	padding-top: 1rem!important;
}

/* Posicionamiento del submenu lateral */

.dropdown-submenu {
    position: relative;
}

/* Ajuste del submenu lateral */

.dropdown-submenu>.dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: 0px;
    margin-left: 0px;
}


.offcanvas-active {
    overflow:hidden;
}

.screen-overlay {
    width:0%;
    height: 100%;
    z-index: 30;
    position: fixed;
    top: 0;
    left: 0;
    opacity:0;
    visibility:hidden;
    background-color: rgba(34, 34, 34, 0.6);
    transition:opacity .2s linear, visibility .1s, width 1s ease-in;
}

.screen-overlay.show {
    transition:opacity .5s ease, width 0s;
    opacity:1;
    width:100%;
    visibility:visible;
}

.offcanvas {
    width:350px;
    visibility: hidden;
    transform:translateX(-100%);
    transition:all .2s;
    border-radius:0; 
    box-shadow: 0 5px 10px rgba(0,0,0, .2);
    display:block;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 1200;
    background-color: black;
    overflow-y: auto;
    overflow-x: hidden;
}

.offcanvas.offcanvas-right {
    right: 0;
    left: auto;
    transform: translateX(100%); 
}

.offcanvas.show {
    visibility: visible;
    transform: translateX(0);
    transition: transform .2s;
}

.offcanvas .btn-close { 
    position: absolute; 
    right:15px; 
    top:15px; 
}

/**********************************************************/
/*********    Formato para menu expandido    **************/
/**********************************************************/

@media screen and (min-width:1200px) {
    
    /* cierre autom�tico de dropdown menus */
    
    #menu .dropdown .dropdown-menu {
        display: none;
    }
    
    /* despliegue autom�tico de dropdown menus */
    
    #menu .dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0px;
    }

     /* transici�n autom�tica de la imagen de flecha para elementos principales del menu */

    #menu .nav-item-icon:hover > a > div {
        background-position: 0px -10px;
    }

    /* separaci�n entre elementos principales del menu */

    #menu .nav-item {
        margin-right: 0rem;
    }

    /* Color de fondo para lista dropdown, header e items de selecci�n */

    #menu .dropdown-menu, 
    #menu .dropdown-menu .dropdown-item {
        color: white;
        background-color: black;
    }

    /* color de linea de divisi�n para menus por etapas */

    #menu .dropdown-divider {
/*         background-color: rgb(247, 54, 186); */
        background-color: white;
    }

    /* ancho de linea de divisi�n para menus por etapas */

    hr:not([size]) {
        height: 0px;
    }

    /* margen derecho del contenedor de menu */
    
    #menu .navbar-nav {
        padding-right: 0px;
    }

    /* Color de texto y fondo para subencabezados (etapas) */

    #menu .dropdown-header {
        color: #f784c9;
        background-color: black;
        padding-left: 1rem;      
    }

    /* Peso de la Fuente y color para botones simples */

    .btn-simple:hover {
        color: #f784c9 !important;
    }
    
}

/* Ajuste del espaciado entre elementos del men� principal */

@media screen and (min-width:1200px) and  (max-width:1280px) { 
    #menu-container .navbar-brand {max-width: 253px;}
    #menu-container .navbar-brand > img {max-width: 100%;}
}

@media screen and (min-width:1410px) { 
    #menu .nav-item { margin-right: 1rem; }
}

@media screen and (min-width:1475px) { 
    #menu .nav-item { margin-right: 2rem; }
}

@media screen and (min-width:1570px) { 
    #menu .nav-item { margin-right: 3rem; }
}

@media screen and (min-width:1666px) { 
    #menu .nav-item { margin-right: 4rem; }
}

@media screen and (min-width:1762px) { 
    #menu .nav-item { margin-right: 5rem; }
}

/**********************************************************/
/*********    Formato para menu reducido     **************/
/**********************************************************/

@media screen and (max-width:1199px) {

    /* imagen de flecha para elementos principales del menu */

    .nav-item-icon > a > div {
        background-image: url("/pautas6/app/javax.faces.resource/flecha_arriba_abajo_negra.png?ln=img");
    }

    #menu-reportes .nav-item-icon > a > div {
        background-image: url("/pautas6/app/javax.faces.resource/flecha_arriba_abajo.png?ln=img");
    }

    /* transici�n manual de la imagen de flecha para elementos principales del menu */

    .nav-item-icon.show > a > div {
        background-position: 0px -10px;
    }

    /* Color de fondo, de texto y alneaci�n (derecha) para elementos del menu */

    #menu * {
        text-align: right;
        color: #333;
        background-color: #e2dede;
    }

    /* Color de fondo para lista dropdown, header e items de selecci�n */

    #menu .dropdown-menu, 
    #menu .dropdown-header,
    #menu .dropdown-menu .dropdown-item {
        background-color: white;
    }

    /* color de linea de divisi�n para menus por etapas */

    #menu .dropdown-divider {
        background-color: #c5409d;
    }

    /* ancho de linea de divisi�n para menus por etapas */

    hr:not([size]) {
        height: 1px;
    }

    /* margen derecho del contenedor de menu */

    #menu .navbar-nav {
        padding-right: 15px;
    }

    /* margen derecho para botones simples */
    
    .btn-simple {
        padding-right: 19px !important;
		border: none;
    }
    
    /* Peso de la Fuente y color para botones simples */

    .btn-simple:hover {
    	font-weight: 700;
        color: #c5409d !important;
    }

    .btn-simple:focus {
        outline: none;
    }

    /* Color de texto y fondo para subencabezados (etapas) */

    #menu .dropdown-header {
        font-size: 16px;
        font-weight: bold;
        color: #fa5ebc;
        padding-left: 0rem;      
    }

    /* Color y color de fondo para elementos seleccionados */

    #menu .dropdown-menu .dropdown-item:hover {
        color: white;
        background-color:  #dd4aa2; 
    }
    
	#menu-reportes-button {
		color: #333 !important;
	    border: 0px;
	    border-radius: 0px !important;
	    background-color: #e2dede;
	    padding-bottom: 6px;
	    margin: 2px 0px 0px 0px;
	}
	
	#menu-reportes-button:hover {
		background-color: #e2dede;
	}
    
}
